Subject: Re: [recipe] Anything going to happen at IETF 75?

From: Ken Christensen <[email-masked]>
Date: Wed, 29 Apr 2009 15:54:59 -0400

Hello Juergen (and all):

I would like to add a few comments on item (a).  The power state MIB 
that Juergen and Bruce discuss is here:

http://www.csee.usf.edu/~christen/energy/lcn08_2_proceedings.pdf

(appeared at IEEE LCN 2008 as a poster paper).  Tables 1 and 2 in the 
paper might be interesting. This is a very preliminary work on the idea 
of exposing power state via SNMP.  What are the MIB variables of 
interest?  That is one important question.  Another question is how to 
access the MIB of a sleeping host (without waking-up the host!). One 
possible direction for this is a proxy.  This requires much more thought.

Exposing the power state is, I think, the first necessary step for 
monitoring and controlling energy use of ICT (and maybe non-ICT as 
well?) equipment.

Regards,

Ken Christensen
Department of Computer Science and Engineering
University of South Florida
Phone: (813) 974-4761
Homepage: http://www.csee.usf.edu/~christen
===================================================================
Juergen Quittek wrote:
> Hi Chris,
> 
> Thanks for reminding everybody.
> There is one month left to submit BoF proposals,
> but now seems to be a good time to start working on it.
> 
> I would like to draft a proposal, but first we should have rough
> consensus on what would be the subject (and which area it would
> belong to). Please find my proposal at the end of this message.
> 
> Summarizing the emails of Stuart and Bruce on this list,
> I see three areas of interest that have been stated yet:
> 
>   a. Power state and energy consumption monitoring and control
>   b. Online trading of electric energy and scheduling of energy consumption
>   c. Building networks
> 
> a. looks like a classical topic for the OaM area. The list of potential
> work items may include
>   - standardization of means for reporting devices' power state
>     and power consumption, such as, for example the Power MIB referenced
>     in Bruce's email.
>   - standardization of means for remotely controling devices' power
>     states.
> This looks like a classical topic for the OaM area. These work items
> could be handled within the OPSAWG or by a short-lived OaM area WG.
> We could propose such work at a BoF but maybe it would already be
> sufficient to propose it in the OPSAWG.
> 
> b. needs more conceptual work. It looks like a great idea to offer
> different energy prices at different times and to schedule/control
> consumption accordingly. It would be highly desirable to have also
> people from energy business contributing to this work.
> If we want to request a BoF on b. we need think about which area we
> would like to go to, APP area or OaM area.
> 
> c. is very ambitious. Here a new set of standards for building
> networks would be developed. Bruce suggestion is setting up a new
> standardization body for this, the BNTF. This goes beyond the
> traditional scope of a BoF, but a BoF might still be a good place
> to discuss this idea.
> My question on this issue is: Would we start such an activity from
> the beginning as an IETF-external standards work or would we rather
> go for an incremental approach, starting from small work items in a.
> to more extended work in b and finally coming to more general work
> with wide coverage of issues in c.?
> 
> My proposal would be:
> 1. Let's take a. to the OPSAWG (maybe starting with the Power MIB).
> 2. Let's have a BoF focusing on b., with mentioning a. and presenting
>    c. as long-term vision.
> 3. Let's meanwhile elaborate c. in more detail. Maybe Bruce has done
>    this already, but I miss an overview of the scope of a BNTF and
>    what needs to be done in this area.
> 
> Juergen
> 
> 
> On 21.04.09 23:05  "Chris Lonvick" <[email-masked]> wrote:
> 
>> Hi,
>>
>> Is anyone planning a BoF (or Bar BoF) for IETF 75 for RECIPE?
>>
>> Thanks,
>> Chris
>> _______________________________________________
>> recipe mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/recipe
>>
>> ------------------------------------------------------------------------
>>
>> _______________________________________________
>> recipe mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/recipe

---

From: Stuart Cheshire <[email-masked]>
Date: Tue, 5 May 2009 13:01:02 -0700

> Is anyone planning a BoF (or Bar BoF) for IETF 75 for RECIPE?

I think there's a lot of agreement that this is an important area,  
but sadly there appears to be little energy in the IETF right now for  
actually doing anything. Any thoughts on how we can fix that?

One important step would be to get the makes of the relevant devices  
(and chipsets) involved.

Stuart Cheshire <[email-masked]>
* Wizard Without Portfolio, Apple Inc.
* Internet Architecture Board
* www.stuartcheshire.org

---

From: "Sood, Kapil" <[email-masked]>
Date: Thu, 7 May 2009 06:13:03 -0700

Hello Stuart, All,

We are interested in contributing to this area.   Bruce kindly introduced me to the activities going on in this group.

Best Regards,
 
Kapil.
--------
Kapil Sood
Security Architect
Intel CTG-Comms Labs
971.506.1700

---

From: Peny Yang <[email-masked]>
Date: Fri, 8 May 2009 13:26:13 +0800

Hi, Juergen:

Thanks for your draft proposals. We are also interested in this field.
Please check my words in line:

> sufficient to propose it in the OPSAWG.
[Peny] Is the *device* mentioned here end-user devices (such as
air-con) or devices in electrical grid (such as wind power generator)
?

> would like to go to, APP area or OaM area.
[Peny] In my understanding, b. can cover the directions on scheduling
devices to achieve the most efficient energy-consumption. It's more of
trade-off between performance requirements and energy-consumption.
Maybe it could be in OaM area.

> with wide coverage of issues in c.?
[Peny] I think maybe we could clarify the issues firstly in RECIPE BoF.

>   what needs to be done in this area.
[Peny] Agree.

Thanks
BRG
Peny

---

From: Chris Lonvick <[email-masked]>
Date: Thu, 14 May 2009 10:38:00 -0700 (PDT)

Hi,

On Tue, 5 May 2009, Stuart Cheshire wrote:

> I think there's a lot of agreement that this is an important area, but sadly 
> there appears to be little energy in the IETF right now for actually doing 
> anything. Any thoughts on how we can fix that?

I think that there is energy but not enough focus on a problem that can be 
handled by IETF-ers.

On the social side, the IETF has handled protocols; the ones that make the 
Internet work (e.g., BGP), ones that provide transport for application 
communications (tpc, udp, tls, etc.), and some (few) that directly link to 
an application (i.e., ftp and telnet).  My personal opinion is that this 
is because the IETF encompasses the people who understand the problems 
that need to be solved in this space and therefore can apply themselves to 
it.  The management of energy from producer to consumer is a very large 
field of study which has few current touchpoints with the Intenet and with 
the IP protocol.  With a few exceptions, I just don't think that this 
group has the background to start poking at the entirety of this. 
Perhaps we could get something going by scoping some clearly defined 
projects, and liasing with other SDOs that are closer to energy management 
who will need some help with the protocols?

Re: http://www.ietf.org/mail-archive/web/recipe/current/msg00006.html
Your posting suggesting areas of investigation for the home.  While I'd 
like to see something happening there, I'm not seeing any participation on 
this list from appliance manufacturors (Whirlpool, LG, etc.) nor from the 
people who make home energy distribution products (outlets, circuit 
breakers, meters, etc.).  Without those people, I kind'a feel that we're 
just guessing about what is possible, and that if we produce a 
specification we'd have a difficult time getting anyone to implement it. 
(I'd be happy to be proven wrong. :-)

>
> One important step would be to get the makes of the relevant devices (and 
> chipsets) involved.
>

I'm not sure where else to go with this at this time.

Regards,
Chris

---

From: JP Vasseur <[email-masked]>
Date: Fri, 15 May 2009 08:41:20 +0200

Hi Chris,

I strongly share your analysis.

There is a need for a narrow focus to get a chance to move forward  
with a potential WG. How about trying another ad-hoc meeting during  
IETF-75, with the hope to start collecting input on the scope of such  
work ?

Thanks.

JP.

On May 14, 2009, at 7:38 PM, Chris Lonvick wrote:

>> but sadly there appears to be little energy in the IETF right now  
>> for actually doing anything. Any thoughts on how we can fix that?
>
> I think that there is energy but not enough focus on a problem that  
> can be handled by IETF-ers.
>
> On the social side, the IETF has handled protocols; the ones that  
> make the Internet work (e.g., BGP), ones that provide transport for  
> application communications (tpc, udp, tls, etc.), and some (few)  
> that directly link to an application (i.e., ftp and telnet).  My  
> personal opinion is that this is because the IETF encompasses the  
> people who understand the problems that need to be solved in this  
> space and therefore can apply themselves to it.  The management of  
> energy from producer to consumer is a very large field of study  
> which has few current touchpoints with the Intenet and with the IP  
> protocol.  With a few exceptions, I just don't think that this group  
> has the background to start poking at the entirety of this. Perhaps  
> we could get something going by scoping some clearly defined  
> projects, and liasing with other SDOs that are closer to energy  
> management who will need some help with the protocols?
>
> Your posting suggesting areas of investigation for the home.  While  
> I'd like to see something happening there, I'm not seeing any  
> participation on this list from appliance manufacturors (Whirlpool,  
> LG, etc.) nor from the people who make home energy distribution  
> products (outlets, circuit breakers, meters, etc.).  Without those  
> people, I kind'a feel that we're just guessing about what is  
> possible, and that if we produce a specification we'd have a  
> difficult time getting anyone to implement it. (I'd be happy to be  
> proven wrong. :-)
>
>
>>
>> One important step would be to get the makes of the relevant  
>> devices (and chipsets) involved.
>>